﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Schema Jobs</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Schema Jobs</h1>
        <p>IGA enables you to import data like users, accounts, entitlements, and roles via the schema-based upload method. Based on the data to upload, this method internally triggers the corresponding schema-based job that reads the data from .sav and .csv files. Ensure that these files are placed in job.ecm.savfile.path and job.ecm.imp.file.path locations.</p>
        <p>Currently, the following schema-based jobs are available in IGA:</p>
        <h2 class="auto-cursor-target" id="SchemaJobs-SAVFiles">SAV Files</h2>
        <p>The schema-based jobs require SAV files for importing the data into IGA. Below are the samples of SAV files.</p>
        <p>Sample SAV file for uploading users:</p>
        <p xml:space="preserve">
            <label class="filename-path">USERNAME,STATUSKEY,FIRSTNAME,MIDDLENAME,LASTNAME,DISPLAYNAME
#USER_NOT_IN_FILE_ACTION=INACTIVATE#DELIMITER=,
#SKIP_NUMBER_OF_LINES=1
#ZERODAYPROVISIONING=FALSE
#CHECKRULES=FALSE
#GENERATESYSTEMUSERNAME=TRUE</label>
        </p>
        <p>Sample SAV file for uploading roles:</p>
        <p xml:space="preserve">
            <label class="filename-path">FILENAMESTARTSWITH=role_entsROLE_NAME,SECURITYSYSTEM,ENDPOINT,ENTITLEMENTTYPE,ENTITILEMENT_VALUE,USERS,ROLETYPE,STATUS</label>
        </p>
        <p class="auto-cursor-target">Ensure that the details added to the SAV file and the columns in the CSV file used for importing the data are same.</p>
        <h2 class="auto-cursor-target" id="SchemaJobs-IdentifyingtheMissingFiles">Identifying the Missing Files</h2>
        <p class="auto-cursor-target">From Release v5.4.0 onwards, for all schema-based jobs, the user interface displays additional information&#160;in case the required information is missing in CSV or SAV files used for importing data.&#160;This helps you detect the cause of failure.</p>
        <p class="auto-cursor-target">Example:</p>
        <p class="auto-cursor-target">
            <img src="../Resources/Images/Message Displayed When a Data File is Missing Information.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 835px;height: 78px;" />
        </p>
        <p class="auto-cursor-target">The above example shows details such as&#160;the date and time when the job failed and the reason of failure.&#160;</p>
    </body>
</html>